Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class GraphFilter.State

    java.lang.Object
      de.grogra.graph.GraphState
          de.grogra.graph.GraphBase.State
              de.grogra.graph.GraphFilter.State

Enclosing class:
  GraphFilter

    protected class GraphFilter.State

extends GraphBase.State

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.GraphState
`GraphState.ObjectContext`

Constructor Summary
`GraphFilter.State(GraphState sourceState, ThreadContext ctx)`

Method Summary
`boolean` | `containsInTree(java.lang.Object object, boolean asNode)` Tests whether an object is contained in the tree of the graph.
`GraphState` | `createDelegate(ThreadContext tc)`
`void` | `setEdgeBits(java.lang.Object edge, int bits)`

Methods inherited from class de.grogra.graph.GraphBase.State
`fireAttributeChanged, fireEdgeChanged, getQueue`

Methods inherited from class de.grogra.graph.GraphState
`allocatePropertyId, beginInstancing, checkBoolean, checkByte, checkChar, checkDouble, checkFloat, checkInt, checkLong, checkObject, checkShort, createObjectState, current, deinstantiate, dispose, endInstancing, finalize, forContext, get, getBoolean, getBooleanDefault, getByte, getByteDefault, getChar, getCharDefault, getContext, getDouble, getDoubleDefault, getFloat, getFloatDefault, getGraph, getInstancingPath, getInstancingPathIndex, getInt, getIntDefault, getLong, getLongDefault, getObject, getObject, getObjectContext, getObjectDefault, getShort, getShortDefault, getUserProperty, initialize, instantiate, instantiateEdge, moveToInstance, moveToNextInstance, moveToPreviousInstance, setInstanceAttribute, setObjectContext, setObjectContext, setUserProperty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphFilter.State

    public GraphFilter.State(GraphState sourceState,
                             ThreadContext ctx)

Method Detail

### containsInTree

    public boolean containsInTree(java.lang.Object object,
                                  boolean asNode)

  Description copied from class: `GraphState`
  Tests whether an object is contained in the tree of the graph. The tree is defined by `Graph.getTreePattern()`.

  Specified by:
    `containsInTree` in class `GraphState`
  Parameters:
    `object` - the object
    `asNode` - `true` if `object` is a node, `false` if `object` is an edge
  Returns:
    `true` iff the object is part of the tree

### createDelegate

    public GraphState createDelegate(ThreadContext tc)

  Specified by:
    `createDelegate` in class `GraphState`

### setEdgeBits

    public void setEdgeBits(java.lang.Object edge,
                            int bits)

  Specified by:
    `setEdgeBits` in class `GraphState`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD